> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/reports/{report-id}/output

> This endpoint gives you the output of the report.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json get /preview/reports/{report-id}/output
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/reports/{report-id}/output:
    get:
      tags:
        - Analytics
      summary: /preview/reports/{report-id}/output
      description: This endpoint gives you the output of the report.
      operationId: GetAsyncExportOutput
      parameters:
        - name: report-id
          in: path
          description: Id of the report
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportResult'
            application/xml:
              schema:
                $ref: '#/components/schemas/ExportResult'
            text/xml:
              schema:
                $ref: '#/components/schemas/ExportResult'
      security:
        - oauth:
            - MarketingSolutions_Analytics_Read
components:
  schemas:
    ExportResult:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ExportResultData'
      additionalProperties: false
      description: Result for an async report request
    ExportResultData:
      type: object
      properties:
        data:
          type: array
          items:
            type: array
            items: {}
          nullable: true
        metadata:
          $ref: '#/components/schemas/ExportMetaData'
      additionalProperties: false
      description: Result data for an async report request
      nullable: true
    ExportMetaData:
      type: object
      properties:
        columns:
          type: array
          items:
            $ref: '#/components/schemas/ExportColumn'
          nullable: true
        rows:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
      description: >-
        Metadata for an async report request: descriptions of the columns and
        number of rows returned
      nullable: true
    ExportColumn:
      type: object
      properties:
        currency:
          type: string
          nullable: true
        deprecated:
          type: boolean
          nullable: true
        description:
          type: string
          nullable: true
        duration:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        relatedTo:
          enum:
            - AdSetId
            - AdSet
            - AdvertiserId
            - Advertiser
            - CategoryId
            - Category
            - Hour
            - Day
            - Week
            - Month
            - Year
            - Os
            - Device
            - CampaignId
            - Campaign
            - AdId
            - Ad
            - CouponId
            - Coupon
            - ChannelId
            - Channel
            - VideoPlacement
            - MarketingCampaignGoal
            - MarketingObjective
            - MarketingObjectiveId
            - VideoPlayerSize
            - VideoPlaybackMethod
            - SSP
            - VideoDurationInSeconds
            - MediaType
            - AdFormat
            - DisplaySize
            - VideoPlayerRatio
            - Top30BrandsByDisplays
            - Top30BrandsByClicks
            - Top30BrandsBySales
            - Top30InterestsByDisplays
            - Top30InterestsByClicks
            - Top30InterestsBySales
            - Country
            - Region
            - PostalCode
            - UserBehavior
            - Environment
            - AdChannel
            - AdSocialNetwork
          type: string
          nullable: true
        role:
          enum:
            - Dimension
            - Property
            - Interval
            - Metric
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        type:
          enum:
            - Boolean
            - Number
            - Money
            - String
            - Date
            - DateTime
            - Interval
            - Duration
          type: string
          nullable: true
      additionalProperties: false
      description: Description of a column from an async report request
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````